Index: npl/system/openssl/openssl-1.1.0i.tar.gz.asc
===================================================================
--- npl/system/openssl/openssl-1.1.0i.tar.gz.asc	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
+++ npl/system/openssl/openssl-1.1.0i.tar.gz.asc	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -0,0 +1,11 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQEzBAABCgAdFiEEhlersmDwVrHlGQg52cTSbQ5gRJEFAltyztkACgkQ2cTSbQ5g
+RJHKYwf+IDQqU357IUYc6Y6nHtV1S+0Nme2J/FAjGIneHdhDmyNEx7s+yemKU4ri
+QbH73/4Mg7pId99TGbQx8P9RAGN7yLbHPwu5Prmyb5OiDGRJ6bGism9CrkIoRXK1
+Wq59IvcHK2nhaim8Vjksgvf/uhbeGt1V7b5Q5KF6cqDo+EKJkLpYL7vGlod/bXN/
+CzbzGOkSQiWt/nMq6FDTHOzKGyswil877hxUbjyhv8lphphRtvYsWBn376YjYjfG
+9WsJ1z8mZg5I83D+8uC51TJrAdX6hMQjk0JhkxLXMghZiKnNy8+8XLXna0OliuLK
+W9nqIlbNZiZvhIPqGM7O9cPZeWg96g==
+=ueQK
+-----END PGP SIGNATURE-----
Index: npl/system/openssl/openssl.SlackBuild
===================================================================
--- npl/system/openssl/openssl.SlackBuild	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl.SlackBuild	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,9 +1,9 @@
 #!/bin/bash
 #
-# Automaticly created by importpackage
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/openssl/
-# Created at Wed Jun 24 22:08:47 CEST 2015
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/openssl/
+# Created at Thu Sep  6 15:01:41 CEST 2018
 
-export MAKEFLAGS=-j1
+#DEP:zlib
 removepkg openssl
 
@@ -17,5 +17,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
         #seperate dev-package
Index: npl/system/openssl/openssl.SlackBuild.orig
===================================================================
--- npl/system/openssl/openssl.SlackBuild.orig	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl.SlackBuild.orig	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -70,6 +70,7 @@
 find . -name "*.pod" -exec sed -i "s/^\=item \([0-9]\)\(\ \|$\)/\=item C<\1>/g" {} \;
 
-# Use .so.1, not .so.1.0.0:
-sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
+## For openssl-1.1.x, don't try to change the soname.
+## Use .so.1, not .so.1.0.0:
+#sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
 
 if [ "$ARCH" = "i586" ]; then
@@ -90,12 +91,13 @@
 # what they were compiled against, whether or not the ABI has changed.
 #
-# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.2e unless ABI
+# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.1.0h unless ABI
 # breakage forces it to change.  Yes, we're finally using this old trick.  :)
-sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000205fL (1.0.2e) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" crypto/opensslv.h || exit 1
+sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1010008fL (1.1.0h) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" include/openssl/opensslv.h || exit 1
 
 chown -R root:root .
 mkdir -p $PKG1/usr/doc/openssl-$VERSION
-cp -a CHANGES CHANGES.SSLeay FAQ INSTALL INSTALL.MacOS INSTALL.VMS INSTALL.W32 \
-  LICENSE NEWS README README.ENGINE doc $PKG1/usr/doc/openssl-$VERSION
+cp -a ACKNOWLEDGEMENTS AUTHORS CHANGES* CONTRIBUTING FAQ INSTALL* \
+  LICENSE* NEWS NOTES* README* doc \
+  $PKG1/usr/doc/openssl-$VERSION
 find $PKG1/usr/doc/openssl-$VERSION -type d -exec chmod 755 {} \;
 find $PKG1/usr/doc/openssl-$VERSION -type f -exec chmod 644 {} \;
@@ -113,5 +115,4 @@
 # MDC-2: 4,908,861  2007-03-13, not included.
 # IDEA:  5,214,703  2010-05-25, not included.
-# RC5:   5,724,428  2015-03-03, not included.
 #
 # Although all of the above are expired, it's still probably
@@ -122,10 +123,18 @@
  --prefix=/usr \
  --openssldir=/etc/ssl \
+ zlib \
+ enable-camellia \
+ enable-seed \
+ enable-rfc3779 \
+ enable-cms \
+ enable-md2 \
+ enable-rc5 \
+ enable-ssl3 \
+ enable-ssl3-method \
+ no-weak-ssl-ciphers \
  no-mdc2 \
+ no-ec2m \
  no-idea \
- no-rc5 \
  no-sse2 \
- no-ssl2 \
- no-weak-ssl-ciphers \
  shared
 
@@ -134,7 +143,11 @@
 make $NUMJOBS || make || exit 1
 
-make test -j1 || exit 1
-
-make install INSTALL_PREFIX=$PKG1 || exit 1
+make install DESTDIR=$PKG1 || exit 1
+
+# No thanks on the static libraries:
+rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/*.a
+
+# No thanks on manpages duplicated as html:
+rm -rf $PKG1/usr/share/doc
 
 # Make the .so.? library symlinks:
@@ -149,6 +162,6 @@
     mv $file ../../lib${LIBDIRSUFFIX}
     ln -sf ../../lib${LIBDIRSUFFIX}/$file .
-  done 
-  cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
+  done
+  # cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
 )
 
@@ -158,5 +171,9 @@
 chmod 755 $PKG1/etc/cron.daily/certwatch.new
 
+# Make config file non-clobber:
 mv $PKG1/etc/ssl/openssl.cnf $PKG1/etc/ssl/openssl.cnf.new
+
+# Remove duplicate config file:
+rm -f $PKG1/etc/ssl/openssl.cnf.dist
 
 ( cd $PKG1
@@ -165,5 +182,8 @@
 )
 
-mv $PKG1/etc/ssl/man $PKG1/usr
+# Relocate the manpages:
+mv $PKG1/usr/share/man $PKG1/usr
+rmdir $PKG1/usr/share
+
 # Fix manpage name collisions, and relink anything that linked to the old name:
 ( cd $PKG1/usr/man/man1
@@ -174,24 +194,4 @@
         rm -f $file
         ln -sf ssl_passwd.1 $file
-      fi
-    fi
-  done )
-( cd $PKG1/usr/man/man3
-  mv rand.3 ssl_rand.3
-  for file in *.3 ; do
-    if [ -L $file ]; then
-      if [ "$(readlink $file)" = "rand.3" ]; then
-        rm -f $file
-        ln -sf ssl_rand.3 $file
-      fi
-    fi
-  done )
-( cd $PKG1/usr/man/man3
-  mv err.3 ssl_err.3
-  for file in *.3 ; do
-    if [ -L $file ]; then
-      if [ "$(readlink $file)" = "err.3" ]; then
-        rm -f $file
-        ln -sf ssl_err.3 $file
       fi
     fi
@@ -213,16 +213,16 @@
 fi
 
-# If there's an openssl0 directory, then build openssl-0 shared libraries for
+# If there's an openssl1 directory, then build openssl-1.0 shared libraries for
 # compatibility with programs linked to those:
-if [ -d $CWD/openssl0 ]; then
-  ( cd $CWD/openssl0
-    ./openssl0.build || exit 1
+if [ -d $CWD/openssl1 ]; then
+  ( cd $CWD/openssl1
+    ./openssl1.build || exit 1
   ) || exit 1
   # Don't put these in the openssl package...  openssl-solibs is enough.
   #mkdir -p $PKG1/lib${LIBDIRSUFFIX}
-  #cp -a $TMP/package-openssl0/usr/lib/lib*.so.?.?.? $PKG1/lib${LIBDIRSUFFIX}
+  #cp -a $TMP/package-openssl1/usr/lib/lib*.so.?.?.? $PKG1/lib${LIBDIRSUFFIX}
   #( cd $PKG1/lib${LIBDIRSUFFIX} ; ldconfig -l lib*.so.?.?.? )
   mkdir -p $PKG2/lib${LIBDIRSUFFIX}
-  cp -a $TMP/package-openssl0/usr/lib/lib*.so.?.?.? $PKG2/lib${LIBDIRSUFFIX}
+  cp -a $TMP/package-openssl1/usr/lib${LIBDIRSUFFIX}/lib*.so.?.?.? $PKG2/lib${LIBDIRSUFFIX}
   ( cd $PKG2/lib${LIBDIRSUFFIX} ; ldconfig -l lib*.so.?.?.? )
 fi
@@ -244,6 +244,6 @@
 mkdir -p $PKG2/usr/doc/openssl-$VERSION
 ( cd $TMP/openssl-$VERSION
-  cp -a CHANGES CHANGES.SSLeay FAQ INSTALL INSTALL.MacOS INSTALL.VMS INSTALL.W32 \
-  LICENSE NEWS README README.ENGINE $PKG2/usr/doc/openssl-$VERSION
+  cp -a ACKNOWLEDGEMENTS AUTHORS CHANGES* CONTRIBUTING FAQ INSTALL* \
+  LICENSE* NEWS NOTES* README* $PKG2/usr/doc/openssl-$VERSION
   # If there's a CHANGES file, installing at least part of the recent history
   # is useful, but don't let it get totally out of control:
Index: npl/system/openssl/openssl.build
===================================================================
--- npl/system/openssl/openssl.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl.build	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-6528
+6529
Index: npl/system/openssl/openssl.depver
===================================================================
--- npl/system/openssl/openssl.depver	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
+++ npl/system/openssl/openssl.depver	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -0,0 +1,1 @@
+zlib	0
Index: npl/system/openssl/openssl.md5
===================================================================
--- npl/system/openssl/openssl.md5	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl.md5	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -2,12 +2,13 @@
 1e6908ae51dcc3d1d9d5be0bad6bf803  ./doinst.sh-openssl.gz
 24389791b9e637dff90b350d9ba0e028  ./doinst.sh-openssl-solibs.gz
-44279b8557c3247cbe324e2322ecd114  ./openssl-1.0.2o.tar.gz
-1e1428b10e4bda1288610a541c0a31fb  ./openssl_dev.pkg
-4ad33ab343bd5cad7c14cd06a21ac109  ./openssl.pkg
-66f195b9f817484bd708cb1c71ea7b51  ./openssl.SlackBuild
-504f35e0d315d81bcd2b5595fdfaeda2  ./openssl.SlackBuild.log.gz
-cae6039d35f7acfbbe81c84f24da06d1  ./openssl.SlackBuild.orig
-bda755739fe6595647aae17dc11a1505  ./ossllibs_dev.pkg
-f685f01dfa1d81ff2e055975a08327a9  ./ossllibs.pkg
-c179fc570282afc12c3a6eee101ced0d  ./slack-desc.openssl
-4b7562095ddf28453d54af0ad455a9a5  ./slack-desc.openssl-solibs
+9495126aafd2659d357ea66a969c3fe1  ./openssl-1.1.0i.tar.gz
+4630a7baee9b0a6008eb66024ea02c32  ./openssl-1.1.0i.tar.gz.asc
+3a12a7e4395e90b9223ec64458a580d7  ./openssl_dev.pkg
+336f88434c64cef3ca12812ce5faa00a  ./openssl.pkg
+fbbb66f23dd14f90498fe375ce757f40  ./openssl.SlackBuild
+6aa1ba99635448be522873ebf56ca0fc  ./openssl.SlackBuild.log.gz
+480eab55b38d8e86394c93cfcaf1b232  ./openssl.SlackBuild.orig
+311f1b00c0055cd3b64b84862a86b31f  ./ossllibs_dev.pkg
+d561922dc79b7bd4337b3897375c92b5  ./ossllibs.pkg
+143eb5f1d4c14eae58afcc34525f7aa8  ./slack-desc.openssl
+e8cb492e0a6560e2948f3126b78313ed  ./slack-desc.openssl-solibs
Index: npl/system/openssl/openssl.version
===================================================================
--- npl/system/openssl/openssl.version	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl.version	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-1.0.2o
+1.1.0i
Index: npl/system/openssl/openssl_dev.build
===================================================================
--- npl/system/openssl/openssl_dev.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl_dev.build	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-6528
+6529
Index: npl/system/openssl/openssl_dev.version
===================================================================
--- npl/system/openssl/openssl_dev.version	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/openssl_dev.version	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-1.0.2o
+1.1.0i
Index: npl/system/openssl/ossllibs.build
===================================================================
--- npl/system/openssl/ossllibs.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/ossllibs.build	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-6528
+6529
Index: npl/system/openssl/ossllibs.version
===================================================================
--- npl/system/openssl/ossllibs.version	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/ossllibs.version	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-1.0.2o
+1.1.0i
Index: npl/system/openssl/ossllibs_dev.build
===================================================================
--- npl/system/openssl/ossllibs_dev.build	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/ossllibs_dev.build	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-6528
+6529
Index: npl/system/openssl/ossllibs_dev.version
===================================================================
--- npl/system/openssl/ossllibs_dev.version	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/ossllibs_dev.version	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,1 +1,1 @@
-1.0.2o
+1.1.0i
Index: npl/system/openssl/slack-desc.openssl
===================================================================
--- npl/system/openssl/slack-desc.openssl	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/slack-desc.openssl	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
+# The "handy ruler" below makes it easier to edit a package description. Line
 # up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in.  You must make
-# exactly 11 lines for the formatting to be correct.  It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
 # leave one space after the ':'.
 
@@ -13,7 +13,7 @@
 openssl:
 openssl: This product includes software developed by the OpenSSL Project for
-openssl: use in the OpenSSL Toolkit (http://www.openssl.org).  This product
+openssl: use in the OpenSSL Toolkit (http://www.openssl.org). This product
 openssl: includes cryptographic software written by Eric Young
-openssl: (eay@cryptsoft.com).  This product includes software written by Tim
+openssl: (eay@cryptsoft.com). This product includes software written by Tim
 openssl: Hudson (tjh@cryptsoft.com).
 openssl:
Index: npl/system/openssl/slack-desc.openssl-solibs
===================================================================
--- npl/system/openssl/slack-desc.openssl-solibs	(revision a1525ed2937faf8ebc49e82a9fa9b6d190c553e4)
+++ npl/system/openssl/slack-desc.openssl-solibs	(revision c9ea2dd8d905ef854191334be3062a3f4a0e3511)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
+# The "handy ruler" below makes it easier to edit a package description. Line
 # up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in.  You must make
-# exactly 11 lines for the formatting to be correct.  It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
 # leave one space after the ':'.
 
@@ -13,7 +13,7 @@
 openssl-solibs:
 openssl-solibs: This product includes software developed by the OpenSSL Project for
-openssl-solibs: use in the OpenSSL Toolkit (http://www.openssl.org).  This product
+openssl-solibs: use in the OpenSSL Toolkit (http://www.openssl.org). This product
 openssl-solibs: includes cryptographic software written by Eric Young
-openssl-solibs: (eay@cryptsoft.com).  This product includes software written by Tim
+openssl-solibs: (eay@cryptsoft.com). This product includes software written by Tim
 openssl-solibs: Hudson (tjh@cryptsoft.com).
 openssl-solibs:
